Share via


Apis - Get

Returns details of the API.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ApiCenter/services/{serviceName}/workspaces/{workspaceName}/apis/{apiName}?api-version=2024-03-01

URI Parameters

Name In Required Type Description
apiName
path True

string

minLength: 1
maxLength: 90
pattern: ^[a-zA-Z0-9-]{3,90}$

The name of the API.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

serviceName
path True

string

minLength: 1
maxLength: 90
pattern: ^[a-zA-Z0-9-]{3,90}$

The name of Azure API Center service.

subscriptionId
path True

string (uuid)

The ID of the target subscription. The value must be an UUID.

workspaceName
path True

string

minLength: 1
maxLength: 90
pattern: ^[a-zA-Z0-9-]{3,90}$

The name of the workspace.

api-version
query True

string

minLength: 1

The API version to use for this operation.

Responses

Name Type Description
200 OK

Api

Azure operation completed successfully.

Headers

ETag: string

Other Status Codes

ErrorResponse

An unexpected error response.

Security

azure_auth

Azure Active Directory OAuth2 Flow.

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Apis_Get

Sample request

GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/contoso-resources/providers/Microsoft.ApiCenter/services/contoso/workspaces/default/apis/echo-api?api-version=2024-03-01

Sample response

{
  "type": "Microsoft.ApiCenter/services/apis",
  "id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/contoso-resources/providers/Microsoft.ApiCenter/services/contoso/workspaces/default/apis/echo-api",
  "name": "public",
  "systemData": {
    "createdAt": "2023-07-03T18:27:09.128871Z",
    "lastModifiedAt": "2023-07-03T18:27:09.1288716Z"
  },
  "properties": {
    "title": "Echo API",
    "description": "A simple HTTP request/response service.",
    "lifecycleStage": "design",
    "kind": "rest",
    "termsOfService": {
      "url": "https://contoso.com/terms-of-service"
    },
    "license": {
      "url": "https://contoso.com/license"
    },
    "externalDocumentation": [
      {
        "title": "Onboarding docs",
        "url": "https://docs.contoso.com"
      }
    ],
    "customProperties": {
      "author": "John Doe"
    }
  }
}

Definitions

Name Description
Api

API entity.

ApiKind

The kind of the API

Contact

Contact information

createdByType

The type of identity that created the resource.

ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

ExternalDocumentation

Additional, external documentation for the API.

License

The license information for the API.

LifecycleStage

The stage of the Api development lifecycle

systemData

Metadata pertaining to creation and last modification of the resource.

TermsOfService

Terms of service for the API.

Api

API entity.

Name Type Description
id

string (arm-id)

Fully qualified resource ID for the resource. E.g. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

name

string

The name of the resource

properties.contacts

Contact[]

The set of contacts

properties.customProperties

object

Custom Properties
The custom metadata defined for API catalog entities.

properties.description

string

maxLength: 1000

Description of the API.

properties.externalDocumentation

ExternalDocumentation[]

The set of external documentation

properties.kind

ApiKind

Kind of API. For example, REST or GraphQL.

properties.license

License

The license information for the API.

properties.lifecycleStage

LifecycleStage

Current lifecycle stage of the API.

properties.summary

string

maxLength: 200

Short description of the API.

properties.termsOfService

TermsOfService

Terms of service for the API.

properties.title

string

minLength: 1
maxLength: 50

API title.

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

ApiKind

The kind of the API

Value Description
rest

A Representational State Transfer Api

graphql

A Graph query language Api

grpc

A gRPC Api

soap

A SOAP Api

webhook

Web Hook

websocket

Web Socket

Contact

Contact information

Name Type Description
email

string

maxLength: 100

Email address of the contact.

name

string

maxLength: 100

Name of the contact.

url

string (uri)

maxLength: 200

URL for the contact.

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

ExternalDocumentation

Additional, external documentation for the API.

Name Type Description
description

string

maxLength: 500

Description of the documentation.

title

string

maxLength: 50

Title of the documentation.

url

string (uri)

maxLength: 200

URL pointing to the documentation.

License

The license information for the API.

Name Type Description
identifier

string (uri)

maxLength: 50

SPDX license information for the API. The identifier field is mutually exclusive of the URL field.

name

string

maxLength: 100

Name of the license.

url

string (uri)

maxLength: 200

URL pointing to the license details. The URL field is mutually exclusive of the identifier field.

LifecycleStage

The stage of the Api development lifecycle

Value Description
design

design stage

development

development stage

testing

testing stage

preview

In preview

production

In production

deprecated

deprecated stage

retired

Retired stage

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.

TermsOfService

Terms of service for the API.

Name Type Description
url

string (uri)

maxLength: 200

URL pointing to the terms of service.